@echo off

rem q3map2.bat Batch file for compiling Enemy Territory maps
rem Author: FischCommand, E-Mail: FischCommander(AT)arcor.de
rem Name: q3map2.bat, Version: 5.10.23

rem  R E Q U I R E D  settings!
rem Map and map files must be located in etpath\etmain\maps
set mapname=neuschwaben_b2
set etpath="E:\spiele\ET-Developing"
set q3map2="c:\mapdev\GtkRadiant 1.5.0\q3map2.exe" -fs_basepath %etpath% -game "et" -v

rem Parameters (change optionally if necessary.)
set metaparam=-meta -patchmeta -leaktest -samplesize 2 %2 %3 %4 %5 %6 %7 %8 %9
set visparam=-vis %2 %3 %4 %5 %6 %7 %8 %9
set lightparam=-light -faster -fastgrid %2 %3 %4 %5 %6 %7 %8 %9
set finalparam=-light -fast -samples 2 -patchshadows -lightmapsize 512 %2 %3 %4 %5 %6 %7 %8 %9

if not exist %etpath%\etmain\maps\%mapname%.map Goto HELP
if not exist %q3map2% Goto HELP
 
if /I "%1"=="-meta" goto META
if /I "%1"=="-vis" goto VIS
if /I "%1"=="-light" goto LIGHT        
if /I "%1"=="-standard" goto STANDARD
if /I "%1"=="-final" goto FINAL

:HELP
echo.
echo "Set the vars mapname, etpath for ET and your q3map2.exe directory"
echo -------------------------------------------------------------------
echo "Syntax: q3map [-meta|-vis|-light|-standard|-final] (options 2..9)"
echo -------------------------------------------------------------------
echo.
Goto END

:META
%q3map2% %metaparam% %etpath%\etmain\maps\%mapname%.map
Goto END

:VIS
%q3map2% %visparam% %etpath%\etmain\maps\%mapname%.map
pause
Goto END

:LIGHT
%q3map2% %lightparam% %etpath%\etmain\maps\%mapname%.map
pause
Goto END

:STANDARD
%q3map2% %metaparam% %etpath%\etmain\maps\%mapname%.map
%q3map2% %visparam% %etpath%\etmain\maps\%mapname%.map
%q3map2% %lightparam% %etpath%\etmain\maps\%mapname%.map
pause
goto END

:FINAL
%q3map2% %metaparam% %etpath%\etmain\maps\%mapname%.map
%q3map2% %visparam% %etpath%\etmain\maps\%mapname%.map
%q3map2% %finalparam% %etpath%\etmain\maps\%mapname%.map
Pause

:END
